# Microsoft Developer Studio Generated NMAKE File, Based on Alarm.dsp
!IF "$(CFG)" == ""
CFG=Alarm - Win32 Release
!MESSAGE No configuration specified. Defaulting to Alarm - Win32 Release.
!ENDIF 

!IF "$(CFG)" != "Alarm - Win32 Release" && "$(CFG)" != "Alarm - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "Alarm.mak" CFG="Alarm - Win32 Release"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Alarm - Win32 Release" (based on "Win32 (x86) Application")
!MESSAGE "Alarm - Win32 Debug" (based on "Win32 (x86) Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

CPP=cl.exe
MTL=midl.exe
RSC=rc.exe

!IF  "$(CFG)" == "Alarm - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\Alarm.exe" "$(OUTDIR)\Alarm.bsc"


CLEAN :
	-@erase "$(INTDIR)\Alarm.obj"
	-@erase "$(INTDIR)\Alarm.res"
	-@erase "$(INTDIR)\Alarm.sbr"
	-@erase "$(INTDIR)\Alarm2.obj"
	-@erase "$(INTDIR)\Alarm2.sbr"
	-@erase "$(INTDIR)\ErrHand.obj"
	-@erase "$(INTDIR)\ErrHand.sbr"
	-@erase "$(INTDIR)\RWSet.obj"
	-@erase "$(INTDIR)\RWSet.sbr"
	-@erase "$(INTDIR)\Schedul.obj"
	-@erase "$(INTDIR)\Schedul.sbr"
	-@erase "$(INTDIR)\Setting.obj"
	-@erase "$(INTDIR)\Setting.sbr"
	-@erase "$(INTDIR)\TDEDIT.OBJ"
	-@erase "$(INTDIR)\TDEDIT.SBR"
	-@erase "$(INTDIR)\ToolBar.obj"
	-@erase "$(INTDIR)\ToolBar.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\Alarm.bsc"
	-@erase "$(OUTDIR)\Alarm.exe"
	-@erase "$(OUTDIR)\Alarm.map"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=/nologo /ML /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\Alarm.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\Alarm.res" /d "NDEBUG" 
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\Alarm.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\Alarm.sbr" \
	"$(INTDIR)\Alarm2.sbr" \
	"$(INTDIR)\ErrHand.sbr" \
	"$(INTDIR)\RWSet.sbr" \
	"$(INTDIR)\Schedul.sbr" \
	"$(INTDIR)\Setting.sbr" \
	"$(INTDIR)\TDEDIT.SBR" \
	"$(INTDIR)\ToolBar.sbr"

"$(OUTDIR)\Alarm.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib winmm.lib comctl32.lib /nologo /subsystem:windows /incremental:no /pdb:"$(OUTDIR)\Alarm.pdb" /map:"$(INTDIR)\Alarm.map" /machine:I386 /out:"$(OUTDIR)\Alarm.exe" 
LINK32_OBJS= \
	"$(INTDIR)\Alarm.obj" \
	"$(INTDIR)\Alarm2.obj" \
	"$(INTDIR)\ErrHand.obj" \
	"$(INTDIR)\RWSet.obj" \
	"$(INTDIR)\Schedul.obj" \
	"$(INTDIR)\Setting.obj" \
	"$(INTDIR)\TDEDIT.OBJ" \
	"$(INTDIR)\ToolBar.obj" \
	"$(INTDIR)\Alarm.res"

"$(OUTDIR)\Alarm.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "Alarm - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\Alarm.exe" "$(OUTDIR)\Alarm.bsc"


CLEAN :
	-@erase "$(INTDIR)\Alarm.obj"
	-@erase "$(INTDIR)\Alarm.res"
	-@erase "$(INTDIR)\Alarm.sbr"
	-@erase "$(INTDIR)\Alarm2.obj"
	-@erase "$(INTDIR)\Alarm2.sbr"
	-@erase "$(INTDIR)\ErrHand.obj"
	-@erase "$(INTDIR)\ErrHand.sbr"
	-@erase "$(INTDIR)\RWSet.obj"
	-@erase "$(INTDIR)\RWSet.sbr"
	-@erase "$(INTDIR)\Schedul.obj"
	-@erase "$(INTDIR)\Schedul.sbr"
	-@erase "$(INTDIR)\Setting.obj"
	-@erase "$(INTDIR)\Setting.sbr"
	-@erase "$(INTDIR)\TDEDIT.OBJ"
	-@erase "$(INTDIR)\TDEDIT.SBR"
	-@erase "$(INTDIR)\ToolBar.obj"
	-@erase "$(INTDIR)\ToolBar.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(OUTDIR)\Alarm.bsc"
	-@erase "$(OUTDIR)\Alarm.exe"
	-@erase "$(OUTDIR)\Alarm.ilk"
	-@erase "$(OUTDIR)\Alarm.pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=/nologo /MLd /W3 /Gm /GX /ZI /Od /Op /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\Alarm.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\Alarm.res" /d "_DEBUG" 
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\Alarm.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\Alarm.sbr" \
	"$(INTDIR)\Alarm2.sbr" \
	"$(INTDIR)\ErrHand.sbr" \
	"$(INTDIR)\RWSet.sbr" \
	"$(INTDIR)\Schedul.sbr" \
	"$(INTDIR)\Setting.sbr" \
	"$(INTDIR)\TDEDIT.SBR" \
	"$(INTDIR)\ToolBar.sbr"

"$(OUTDIR)\Alarm.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib winmm.lib comctl32.lib /nologo /stack:0x3e8000 /subsystem:windows /incremental:yes /pdb:"$(OUTDIR)\Alarm.pdb" /debug /machine:I386 /out:"$(OUTDIR)\Alarm.exe" 
LINK32_OBJS= \
	"$(INTDIR)\Alarm.obj" \
	"$(INTDIR)\Alarm2.obj" \
	"$(INTDIR)\ErrHand.obj" \
	"$(INTDIR)\RWSet.obj" \
	"$(INTDIR)\Schedul.obj" \
	"$(INTDIR)\Setting.obj" \
	"$(INTDIR)\TDEDIT.OBJ" \
	"$(INTDIR)\ToolBar.obj" \
	"$(INTDIR)\Alarm.res"

"$(OUTDIR)\Alarm.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("Alarm.dep")
!INCLUDE "Alarm.dep"
!ELSE 
!MESSAGE Warning: cannot find "Alarm.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "Alarm - Win32 Release" || "$(CFG)" == "Alarm - Win32 Debug"
SOURCE=.\Alarm.cpp

"$(INTDIR)\Alarm.obj"	"$(INTDIR)\Alarm.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\Alarm.rc

"$(INTDIR)\Alarm.res" : $(SOURCE) "$(INTDIR)"
	$(RSC) $(RSC_PROJ) $(SOURCE)


SOURCE=.\Alarm2.cpp

"$(INTDIR)\Alarm2.obj"	"$(INTDIR)\Alarm2.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\ErrHand.cpp

"$(INTDIR)\ErrHand.obj"	"$(INTDIR)\ErrHand.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\RWSet.cpp

"$(INTDIR)\RWSet.obj"	"$(INTDIR)\RWSet.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\Schedul.cpp

"$(INTDIR)\Schedul.obj"	"$(INTDIR)\Schedul.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\Setting.cpp

"$(INTDIR)\Setting.obj"	"$(INTDIR)\Setting.sbr" : $(SOURCE) "$(INTDIR)"


SOURCE=.\TDEDIT.CPP

"$(INTDIR)\TDEDIT.OBJ"	"$(INTDIR)\TDEDIT.SBR" : $(SOURCE) "$(INTDIR)"


SOURCE=.\ToolBar.cpp

"$(INTDIR)\ToolBar.obj"	"$(INTDIR)\ToolBar.sbr" : $(SOURCE) "$(INTDIR)"



!ENDIF 

